Index: trunk/hardware/ps_trunk.s#4
===================================================================
--- trunk/hardware/ps_trunk.s#4	(revision 2)
+++ trunk/hardware/ps_trunk.s#4	(revision 3)
@@ -23251,4 +23044,438 @@
 </devicesets>
 </library>
+<library name="PSK-30D-24">
+<packages>
+<package name="IRM-20">
+<wire x1="-26.16" y1="13.65" x2="26.24" y2="13.65" width="0.127" layer="51"/>
+<wire x1="26.24" y1="13.65" x2="26.25" y2="-13.6" width="0.127" layer="51"/>
+<wire x1="26.25" y1="-13.6" x2="-26.15" y2="-13.6" width="0.127" layer="51"/>
+<wire x1="-26.15" y1="-13.6" x2="-26.16" y2="13.65" width="0.127" layer="51"/>
+<wire x1="-26.16" y1="13.6" x2="26.24" y2="13.65" width="0.127" layer="21"/>
+<wire x1="26.24" y1="13.65" x2="26.25" y2="-13.6" width="0.127" layer="21"/>
+<wire x1="26.25" y1="-13.6" x2="-26.15" y2="-13.6" width="0.127" layer="21"/>
+<wire x1="-26.15" y1="-13.6" x2="-26.16" y2="13.6" width="0.127" layer="21"/>
+<wire x1="-26.41" y1="13.9" x2="-26.4" y2="-13.9" width="0.05" layer="39"/>
+<wire x1="-26.4" y1="-13.9" x2="26.5" y2="-13.85" width="0.05" layer="39"/>
+<wire x1="26.5" y1="-13.85" x2="26.49" y2="13.9" width="0.05" layer="39"/>
+<wire x1="26.49" y1="13.9" x2="-26.41" y2="13.9" width="0.05" layer="39"/>
+<text x="-26.41" y="14.9" size="1.27" layer="25">&gt;NAME</text>
+<text x="-26.4" y="-14.85" size="1.27" layer="27" align="top-left">&gt;VALUE</text>
+<circle x="-27.41" y="9.15" radius="0.1" width="0.2" layer="21"/>
+<circle x="-27.41" y="9.15" radius="0.1" width="0.2" layer="51"/>
+<pad name="1" x="22.8" y="10.4" drill="1.5" diameter="3.81" shape="square" rot="R180"/>
+<pad name="2" x="22.8" y="-10.4" drill="1.5" diameter="3.81" rot="R180"/>
+<pad name="4" x="-22.8" y="10.4" drill="1.5" diameter="3.81" rot="R180"/>
+<pad name="3" x="-22.8" y="2.4" drill="1.5" diameter="3.81" rot="R180"/>
+</package>
+</packages>
+<symbols>
+<symbol name="PSK-30D-24">
+<wire x1="-10.16" y1="5.08" x2="-10.16" y2="-5.08" width="0.254" layer="94"/>
+<wire x1="-10.16" y1="-5.08" x2="10.16" y2="-5.08" width="0.254" layer="94"/>
+<wire x1="10.16" y1="-5.08" x2="10.16" y2="5.08" width="0.254" layer="94"/>
+<wire x1="10.16" y1="5.08" x2="-10.16" y2="5.08" width="0.254" layer="94"/>
+<text x="-10.16" y="-7.62" size="2.032" layer="96">&gt;VALUE</text>
+<text x="-10.16" y="7.62" size="2.032" layer="95" align="top-left">&gt;NAME</text>
+<pin name="AC(L)" x="-15.24" y="2.54" length="middle" direction="in"/>
+<pin name="AC(N)" x="-15.24" y="-2.54" length="middle" direction="in"/>
+<pin name="+VO" x="15.24" y="2.54" length="middle" direction="out" rot="R180"/>
+<pin name="-VO" x="15.24" y="-2.54" length="middle" direction="out" rot="R180"/>
+</symbol>
+</symbols>
+<devicesets>
+<deviceset name="IRM20" prefix="M">
+<gates>
+<gate name="G$1" symbol="PSK-30D-24" x="0" y="0"/>
+</gates>
+<devices>
+<device name="" package="IRM-20">
+<connects>
+<connect gate="G$1" pin="+VO" pad="3"/>
+<connect gate="G$1" pin="-VO" pad="4"/>
+<connect gate="G$1" pin="AC(L)" pad="1"/>
+<connect gate="G$1" pin="AC(N)" pad="2"/>
+</connects>
+<technologies>
+<technology name=""/>
+</technologies>
+</device>
+</devices>
+</deviceset>
+</devicesets>
+</library>
+<library name="Wurth_Connectors_WR-TBL Pluggable Connector" urn="urn:adsk.eagle:library:16280984">
+<description>&lt;BR&gt;Wurth Elektronik - Connectors - Terminal Blocks - WR-TBL Pluggable Connector &lt;br&gt;&lt;Hr&gt;
+
+&lt;BR&gt;
+&lt;TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0&gt;
+&lt;TR&gt;   
+&lt;TD BGCOLOR="#cccccc" ALIGN=CENTER&gt;&lt;FONT FACE=ARIAL SIZE=3&gt;&lt;BR&gt;&lt;br&gt;
+      &amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp; &amp;nbsp;&lt;BR&gt;
+       &lt;BR&gt;
+       &lt;BR&gt;
+       &lt;BR&gt;&lt;BR&gt;&lt;/FONT&gt;
+    &lt;/TD&gt;
+&lt;TD BGCOLOR="#cccccc" ALIGN=CENTER&gt;&lt;FONT FACE=ARIAL SIZE=3&gt;&lt;br&gt;
+      -----&lt;BR&gt;
+      -----&lt;BR&gt;
+      -----&lt;BR&gt;
+      -----&lt;BR&gt;
+      -----&lt;BR&gt;&lt;BR&gt;&lt;/FONT&gt;
+    &lt;/TD&gt;
+    &lt;TD BGCOLOR="#cccccc" ALIGN=CENTER&gt; &lt;FONT FACE=ARIAL SIZE=3&gt;&lt;br&gt;
+      ---------------------------&lt;BR&gt;
+&lt;B&gt;&lt;I&gt;&lt;span style='font-size:26pt;
+  color:#FF6600;'&gt;WE &lt;/span&gt;&lt;/i&gt;&lt;/b&gt;
+&lt;BR&gt;
+      ---------------------------&lt;BR&gt;&lt;b&gt;Würth Elektronik&lt;/b&gt;&lt;/FONT&gt;
+    &lt;/TD&gt;
+    &lt;TD BGCOLOR="#cccccc" ALIGN=CENTER&gt;&lt;FONT FACE=ARIAL SIZE=3&gt;&lt;br&gt;
+      ---------O---&lt;BR&gt;
+      ----O--------&lt;BR&gt;
+      ---------O---&lt;BR&gt;
+      ----O--------&lt;BR&gt;
+      ---------O---&lt;BR&gt;&lt;BR&gt;&lt;/FONT&gt;
+    &lt;/TD&gt;
+   
+&lt;TD BGCOLOR="#cccccc" ALIGN=CENTER&gt;&lt;FONT FACE=ARIAL SIZE=3&gt;&lt;BR&gt;
+      &amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp; &amp;nbsp;&lt;BR&gt;
+       &lt;BR&gt;
+       &lt;BR&gt;
+       &lt;BR&gt;
+       &lt;BR&gt;&lt;BR&gt;&lt;/FONT&gt;
+    &lt;/TD&gt;
+  &lt;/TR&gt;
+
+  &lt;TR&gt;
+    &lt;TD COLSPAN=7&gt;&amp;nbsp;
+    &lt;/TD&gt;
+  &lt;/TR&gt;
+  
+&lt;/TABLE&gt;
+&lt;B&gt;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;More than you expect&lt;BR&gt;&lt;BR&gt;&lt;BR&gt;&lt;/B&gt;
+
+&lt;HR&gt;&lt;BR&gt;
+&lt;b&gt;Würth Elektronik eiSos GmbH &amp; Co. KG&lt;/b&gt;&lt;br&gt;
+EMC &amp; Inductive Solutions&lt;br&gt;
+
+Max-Eyth-Str.1&lt;br&gt;
+D-74638 Waldenburg&lt;br&gt;
+&lt;br&gt;
+Tel: +49 (0)7942-945-0&lt;br&gt;
+Fax:+49 (0)7942-945-5000&lt;br&gt;
+&lt;br&gt;
+&lt;a href="http://www.we-online.com/web/en/electronic_components/produkte_pb/bauteilebibliotheken/eagle_4.php"&gt;www.we-online.com/eagle&lt;/a&gt;&lt;br&gt;
+&lt;a href="mailto:libraries@we-online.com"&gt;libraries@we-online.com&lt;/a&gt; &lt;BR&gt;&lt;BR&gt;
+&lt;br&gt;&lt;HR&gt;&lt;BR&gt;
+Neither Autodesk nor Würth Elektronik eiSos does warrant that this library is error-free or &lt;br&gt;
+that it meets your specific requirements.&lt;br&gt;&lt;BR&gt;
+Please contact us for more information.&lt;br&gt;
+&lt;HR&gt;
+&lt;br&gt;Eagle Version 9, Library Revision 2020a, 2020-01-08&lt;br&gt;
+&lt;HR&gt;
+Copyright: Würth Elektronik</description>
+<packages>
+<package name="691322310004" urn="urn:adsk.eagle:footprint:16281193/1" library_version="2">
+<description>&lt;b&gt;WR-TBL Serie 322 - 3.81 mm Horizontal PCB Header 
+&lt;br&gt;&lt;/b&gt;Max Height = 7mm , Pitch 3.81mm , 4pins</description>
+<pad name="2" x="-1.905" y="0" drill="1.4" rot="R180"/>
+<pad name="1" x="-5.715" y="0" drill="1.4" rot="R180"/>
+<pad name="3" x="1.905" y="0" drill="1.4" rot="R180"/>
+<pad name="4" x="5.715" y="0" drill="1.4" rot="R180"/>
+<wire x1="-8.215" y1="-8" x2="8.215" y2="-8" width="0.1" layer="51"/>
+<wire x1="8.215" y1="-8" x2="8.215" y2="1.2" width="0.1" layer="51"/>
+<wire x1="8.215" y1="1.2" x2="-8.215" y2="1.2" width="0.1" layer="51"/>
+<wire x1="-8.215" y1="1.2" x2="-8.215" y2="-8" width="0.1" layer="51"/>
+<wire x1="6.31" y1="1.3" x2="8.315" y2="1.3" width="0.2" layer="21"/>
+<wire x1="8.315" y1="1.3" x2="8.315" y2="-8.1" width="0.2" layer="21"/>
+<wire x1="8.315" y1="-8.1" x2="-8.315" y2="-8.1" width="0.2" layer="21"/>
+<wire x1="-8.315" y1="-8.1" x2="-8.315" y2="1.3" width="0.2" layer="21"/>
+<wire x1="-8.315" y1="1.3" x2="-6.31" y2="1.3" width="0.2" layer="21"/>
+<wire x1="-5.21" y1="1.3" x2="-2.41" y2="1.3" width="0.2" layer="21"/>
+<wire x1="-1.4" y1="1.3" x2="1.4" y2="1.3" width="0.2" layer="21"/>
+<wire x1="2.41" y1="1.3" x2="5.21" y2="1.3" width="0.2" layer="21"/>
+<text x="-3.5" y="-10" size="1.27" layer="27">&gt;VALUE</text>
+<text x="0" y="2" size="1.27" layer="25" align="bottom-center">&gt;NAME</text>
+<polygon width="0.1" layer="39">
+<vertex x="-8.515" y="1.5"/>
+<vertex x="8.515" y="1.5"/>
+<vertex x="8.515" y="-8.3"/>
+<vertex x="-8.515" y="-8.3"/>
+</polygon>
+<circle x="-7.11" y="-1.2" radius="0.1" width="0.4" layer="21"/>
+</package>
+<package name="691322310002" urn="urn:adsk.eagle:footprint:16281191/1" library_version="2">
+<description>&lt;b&gt;WR-TBL Serie 322 - 3.81 mm Horizontal PCB Header 
+&lt;br&gt;&lt;/b&gt;Max Height = 7mm , Pitch 3.81mm , 2pins</description>
+<wire x1="-4.405" y1="-8" x2="4.405" y2="-8" width="0.1" layer="51"/>
+<wire x1="4.405" y1="-8" x2="4.405" y2="1.2" width="0.1" layer="51"/>
+<wire x1="4.405" y1="1.2" x2="-4.405" y2="1.2" width="0.1" layer="51"/>
+<wire x1="-4.405" y1="1.2" x2="-4.405" y2="-8" width="0.1" layer="51"/>
+<wire x1="2.5" y1="1.3" x2="4.505" y2="1.3" width="0.2" layer="21"/>
+<wire x1="4.505" y1="1.3" x2="4.505" y2="-8.1" width="0.2" layer="21"/>
+<wire x1="4.505" y1="-8.1" x2="-4.505" y2="-8.1" width="0.2" layer="21"/>
+<wire x1="-4.505" y1="-8.1" x2="-4.505" y2="1.3" width="0.2" layer="21"/>
+<wire x1="-4.505" y1="1.3" x2="-2.5" y2="1.3" width="0.2" layer="21"/>
+<wire x1="-1.4" y1="1.3" x2="1.4" y2="1.3" width="0.2" layer="21"/>
+<pad name="2" x="1.905" y="0" drill="1.4" rot="R180"/>
+<pad name="1" x="-1.905" y="0" drill="1.4" rot="R180"/>
+<text x="0" y="2" size="1.27" layer="25" align="bottom-center">&gt;NAME</text>
+<text x="-3.5" y="-10" size="1.27" layer="27">&gt;VALUE</text>
+<polygon width="0.1" layer="39">
+<vertex x="-4.705" y="1.5"/>
+<vertex x="4.705" y="1.5"/>
+<vertex x="4.705" y="-8.3"/>
+<vertex x="-4.705" y="-8.3"/>
+</polygon>
+<circle x="-3.3" y="-1.2" radius="0.1" width="0.4" layer="21"/>
+</package>
+</packages>
+<packages3d>
+<package3d name="691322310004" urn="urn:adsk.eagle:package:16281916/2" type="model" library_version="2">
+<description>&lt;b&gt;WR-TBL Serie 322 - 3.81 mm Horizontal PCB Header 
+&lt;br&gt;&lt;/b&gt;Max Height = 7mm , Pitch 3.81mm , 4pins</description>
+<packageinstances>
+<packageinstance name="691322310004"/>
+</packageinstances>
+</package3d>
+<package3d name="691322310002" urn="urn:adsk.eagle:package:16281914/2" type="model" library_version="2">
+<description>&lt;b&gt;WR-TBL Serie 322 - 3.81 mm Horizontal PCB Header 
+&lt;br&gt;&lt;/b&gt;Max Height = 7mm , Pitch 3.81mm , 2pins</description>
+<packageinstances>
+<packageinstance name="691322310002"/>
+</packageinstances>
+</package3d>
+</packages3d>
+<symbols>
+<symbol name="4PT" urn="urn:adsk.eagle:symbol:16281013/1" library_version="2">
+<description>Pin Header THT</description>
+<pin name="1" x="-5.08" y="-5.08" visible="pad" length="short" direction="pas" rot="R90"/>
+<pin name="2" x="-2.54" y="-5.08" visible="pad" length="short" direction="pas" rot="R90"/>
+<pin name="3" x="0" y="-5.08" visible="pad" length="short" direction="pas" rot="R90"/>
+<pin name="4" x="2.54" y="-5.08" visible="pad" length="short" direction="pas" rot="R90"/>
+<text x="-7.53" y="-1.205" size="1.016" layer="95" align="bottom-right">&gt;NAME</text>
+<text x="-7.49" y="-3.01" size="1.016" layer="96" align="bottom-right">&gt;VALUE</text>
+<wire x1="-6.35" y1="-2.54" x2="3.81" y2="-2.54" width="0.254" layer="94"/>
+<wire x1="3.81" y1="-2.54" x2="3.81" y2="0" width="0.254" layer="94"/>
+<wire x1="3.81" y1="0" x2="-6.35" y2="0" width="0.254" layer="94"/>
+<wire x1="-6.35" y1="0" x2="-6.35" y2="-2.54" width="0.254" layer="94"/>
+<wire x1="-5.08" y1="-1.27" x2="-5.08" y2="-2.54" width="0.254" layer="94"/>
+<wire x1="-2.54" y1="-1.27" x2="-2.54" y2="-2.54" width="0.254" layer="94"/>
+<wire x1="0" y1="-1.27" x2="0" y2="-2.54" width="0.254" layer="94"/>
+<wire x1="2.54" y1="-1.27" x2="2.54" y2="-2.54" width="0.254" layer="94"/>
+<circle x="-5.08" y="-1.27" radius="0.254" width="0.635" layer="94"/>
+<circle x="-2.54" y="-1.27" radius="0.254" width="0.635" layer="94"/>
+<circle x="0" y="-1.27" radius="0.254" width="0.635" layer="94"/>
+<circle x="2.54" y="-1.27" radius="0.254" width="0.635" layer="94"/>
+</symbol>
+<symbol name="2PT" urn="urn:adsk.eagle:symbol:16281015/1" library_version="2">
+<description>Pin Header THT</description>
+<pin name="1" x="-2.54" y="-5.08" visible="pad" length="short" direction="pas" rot="R90"/>
+<pin name="2" x="0" y="-5.08" visible="pad" length="short" direction="pas" rot="R90"/>
+<text x="-4.99" y="-1.205" size="1.016" layer="95" align="bottom-right">&gt;NAME</text>
+<text x="-4.95" y="-3.01" size="1.016" layer="96" align="bottom-right">&gt;VALUE</text>
+<wire x1="-3.81" y1="-2.54" x2="1.27" y2="-2.54" width="0.254" layer="94"/>
+<wire x1="1.27" y1="-2.54" x2="1.27" y2="0" width="0.254" layer="94"/>
+<wire x1="1.27" y1="0" x2="-3.81" y2="0" width="0.254" layer="94"/>
+<wire x1="-3.81" y1="0" x2="-3.81" y2="-2.54" width="0.254" layer="94"/>
+<wire x1="-2.54" y1="-1.27" x2="-2.54" y2="-2.54" width="0.254" layer="94"/>
+<wire x1="0" y1="-1.27" x2="0" y2="-2.54" width="0.254" layer="94"/>
+<circle x="-2.54" y="-1.27" radius="0.254" width="0.635" layer="94"/>
+<circle x="0" y="-1.27" radius="0.254" width="0.635" layer="94"/>
+</symbol>
+</symbols>
+<devicesets>
+<deviceset name="691322310004" urn="urn:adsk.eagle:component:16282639/2" prefix="J" uservalue="yes" library_version="2">
+<description>&lt;b&gt;WR-TBL Serie 322 - 3.81 mm Horizontal PCB Header  &lt;/b&gt;
+&lt;br&gt;
+&lt;br&gt;&lt;b&gt;
+KIND PROPERTIES &lt;/b&gt;
+&lt;br&gt;&lt;br&gt;
+Pitch 3.81 mm 
+&lt;br&gt;
+&lt;br&gt;
+&lt;b&gt;MATERIAL PROPERTIES &lt;/b&gt;
+&lt;br&gt;
+&lt;br&gt;Insulator Material PA66 
+&lt;br&gt;Insulator Flammability Rating UL94 V-0 
+&lt;br&gt;Contact Material Brass 
+&lt;br&gt;Contact Plating Tin 
+&lt;br&gt;
+&lt;br&gt;
+&lt;b&gt;GENERAL INFORMATION &lt;/b&gt;
+&lt;br&gt;
+&lt;br&gt;Operating Temperature -40 up to +105 °C 
+&lt;br&gt;Compliance RoHS 
+&lt;br&gt;&lt;br&gt;
+&lt;b&gt;ELECTRICAL PROPERTIES &lt;/b&gt;
+&lt;br&gt;
+&lt;br&gt;IR cULus 10 A 
+&lt;br&gt;IR VDE 10.5 A 
+&lt;br&gt;Working Voltage [cULus] 300 V (AC) 
+&lt;br&gt;Working Voltage [VDE] 300 V (AC) 
+&lt;br&gt;Withstanding Voltage [cULus] 1600 V (AC) 
+&lt;br&gt;Withstanding Voltage [VDE] 2500 V (AC) 
+&lt;br&gt;Contact Resistance [cULus] 20 mΩ 
+&lt;br&gt;Contact Resistance [VDE] 20 mΩ 
+&lt;br&gt;
+&lt;br&gt;
+&lt;b&gt;CERTIFICATION &lt;/b&gt;
+&lt;br&gt;
+&lt;br&gt;cULus Approval E315414 
+&lt;br&gt;VDE Approval 40023195 
+&lt;br&gt;
+&lt;br&gt;
+&lt;br&gt;&lt;a href="https://www.we-online.com/catalog/media/o33277v209%20Family_WR-TBL_6913223100xx.jpg" title="Enlarge picture"&gt;
+&lt;img src="https://www.we-online.com/catalog/media/o33277v209%20Family_WR-TBL_6913223100xx.jpg" width="320"&gt;&lt;/a&gt;&lt;p&gt;
+Details see: &lt;a href="https://www.we-online.com/catalog/en/TBL_3_81_322_HORIZONTAL_PCB_HEADER_6913223100XX/"&gt;https://www.we-online.com/catalog/en/TBL_3_81_322_HORIZONTAL_PCB_HEADER_6913223100XX/&lt;/a&gt;&lt;p&gt;
+
+&lt;/b&gt;Updated by Ella Wu  2019-12-20&lt;br&gt;
+&lt;/b&gt;2019(C) Wurth Elektronik</description>
+<gates>
+<gate name="G$1" symbol="4PT" x="0" y="0"/>
+</gates>
+<devices>
+<device name="" package="691322310004">
+<connects>
+<connect gate="G$1" pin="1" pad="1"/>
+<connect gate="G$1" pin="2" pad="2"/>
+<connect gate="G$1" pin="3" pad="3"/>
+<connect gate="G$1" pin="4" pad="4"/>
+</connects>
+<package3dinstances>
+<package3dinstance package3d_urn="urn:adsk.eagle:package:16281916/2"/>
+</package3dinstances>
+<technologies>
+<technology name="">
+<attribute name="DATASHEET-URL" value="https://www.we-online.com/catalog/datasheet/691322310004.pdf" constant="no"/>
+<attribute name="IR-UL" value="10A" constant="no"/>
+<attribute name="IR-VDE" value="10.5A" constant="no"/>
+<attribute name="MOUNT" value="THT" constant="no"/>
+<attribute name="PART-NUMBER" value=" 691322310004 " constant="no"/>
+<attribute name="PINS" value=" 4 " constant="no"/>
+<attribute name="PITCH" value="3.81mm" constant="no"/>
+<attribute name="TYPE" value="Horizontal" constant="no"/>
+<attribute name="WORKING-VOLTAGE-UL" value="300V (AC)" constant="no"/>
+<attribute name="WORKING-VOLTAGE-VDE" value="300V (AC)" constant="no"/>
+</technology>
+</technologies>
+</device>
+</devices>
+</deviceset>
+<deviceset name="691322310002" urn="urn:adsk.eagle:component:16282637/2" prefix="J" uservalue="yes" library_version="2">
+<description>&lt;b&gt;WR-TBL Serie 322 - 3.81 mm Horizontal PCB Header  &lt;/b&gt;
+&lt;br&gt;
+&lt;br&gt;&lt;b&gt;
+KIND PROPERTIES &lt;/b&gt;
+&lt;br&gt;&lt;br&gt;
+Pitch 3.81 mm 
+&lt;br&gt;
+&lt;br&gt;
+&lt;b&gt;MATERIAL PROPERTIES &lt;/b&gt;
+&lt;br&gt;
+&lt;br&gt;Insulator Material PA66 
+&lt;br&gt;Insulator Flammability Rating UL94 V-0 
+&lt;br&gt;Contact Material Brass 
+&lt;br&gt;Contact Plating Tin 
+&lt;br&gt;
+&lt;br&gt;
+&lt;b&gt;GENERAL INFORMATION &lt;/b&gt;
+&lt;br&gt;
+&lt;br&gt;Operating Temperature -40 up to +105 °C 
+&lt;br&gt;Compliance RoHS 
+&lt;br&gt;&lt;br&gt;
+&lt;b&gt;ELECTRICAL PROPERTIES &lt;/b&gt;
+&lt;br&gt;
+&lt;br&gt;IR cULus 10 A 
+&lt;br&gt;IR VDE 10.5 A 
+&lt;br&gt;Working Voltage [cULus] 300 V (AC) 
+&lt;br&gt;Working Voltage [VDE] 300 V (AC) 
+&lt;br&gt;Withstanding Voltage [cULus] 1600 V (AC) 
+&lt;br&gt;Withstanding Voltage [VDE] 2500 V (AC) 
+&lt;br&gt;Contact Resistance [cULus] 20 mΩ 
+&lt;br&gt;Contact Resistance [VDE] 20 mΩ 
+&lt;br&gt;
+&lt;br&gt;
+&lt;b&gt;CERTIFICATION &lt;/b&gt;
+&lt;br&gt;
+&lt;br&gt;cULus Approval E315414 
+&lt;br&gt;VDE Approval 40023195 
+&lt;br&gt;
+&lt;br&gt;
+&lt;br&gt;&lt;a href="https://www.we-online.com/catalog/media/o33277v209%20Family_WR-TBL_6913223100xx.jpg" title="Enlarge picture"&gt;
+&lt;img src="https://www.we-online.com/catalog/media/o33277v209%20Family_WR-TBL_6913223100xx.jpg" width="320"&gt;&lt;/a&gt;&lt;p&gt;
+Details see: &lt;a href="https://www.we-online.com/catalog/en/TBL_3_81_322_HORIZONTAL_PCB_HEADER_6913223100XX/"&gt;https://www.we-online.com/catalog/en/TBL_3_81_322_HORIZONTAL_PCB_HEADER_6913223100XX/&lt;/a&gt;&lt;p&gt;
+
+&lt;/b&gt;Updated by Ella Wu  2019-12-20&lt;br&gt;
+&lt;/b&gt;2019(C) Wurth Elektronik</description>
+<gates>
+<gate name="G$1" symbol="2PT" x="0" y="0"/>
+</gates>
+<devices>
+<device name="" package="691322310002">
+<connects>
+<connect gate="G$1" pin="1" pad="1"/>
+<connect gate="G$1" pin="2" pad="2"/>
+</connects>
+<package3dinstances>
+<package3dinstance package3d_urn="urn:adsk.eagle:package:16281914/2"/>
+</package3dinstances>
+<technologies>
+<technology name="">
+<attribute name="DATASHEET-URL" value="https://www.we-online.com/catalog/datasheet/691322310002.pdf" constant="no"/>
+<attribute name="IR-UL" value="10A" constant="no"/>
+<attribute name="IR-VDE" value="10.5A" constant="no"/>
+<attribute name="MOUNT" value="THT" constant="no"/>
+<attribute name="PART-NUMBER" value=" 691322310002 " constant="no"/>
+<attribute name="PINS" value=" 2 " constant="no"/>
+<attribute name="PITCH" value="3.81mm" constant="no"/>
+<attribute name="TYPE" value="Horizontal" constant="no"/>
+<attribute name="WORKING-VOLTAGE-UL" value="300V (AC)" constant="no"/>
+<attribute name="WORKING-VOLTAGE-VDE" value="300V (AC)" constant="no"/>
+</technology>
+</technologies>
+</device>
+</devices>
+</deviceset>
+</devicesets>
+</library>
+<library name="bom">
+<description>Generated from &lt;b&gt;xtwi_trunk_main.sch&lt;/b&gt;&lt;p&gt;
+by exp-lbrs.ulp</description>
+<packages>
+</packages>
+<symbols>
+<symbol name="BOM-PART">
+<wire x1="0" y1="-1.905" x2="0" y2="1.905" width="0.254" layer="95"/>
+<wire x1="20.32" y1="-1.905" x2="0" y2="-1.905" width="0.254" layer="95"/>
+<wire x1="20.32" y1="1.905" x2="0" y2="1.905" width="0.254" layer="95"/>
+<wire x1="20.32" y1="-1.905" x2="20.32" y2="1.905" width="0.254" layer="95"/>
+<text x="1.27" y="-0.9525" size="1.778" layer="95">&gt;NAME</text>
+<text x="1.27" y="-4.445" size="1.778" layer="95">&gt;VALUE</text>
+<text x="1.27" y="3.175" size="1.778" layer="95">&gt;DESC</text>
+</symbol>
+</symbols>
+<devicesets>
+<deviceset name="BOM-PART" prefix="BOM-PART">
+<description>&lt;b&gt;BOM ENTRY&lt;/b&gt;&lt;p&gt;
+Special BOM entry-only specifier field.</description>
+<gates>
+<gate name="G$1" symbol="BOM-PART" x="0" y="0"/>
+</gates>
+<devices>
+<device name="">
+<technologies>
+<technology name="">
+<attribute name="BOM" value="INCLUDE" constant="no"/>
+<attribute name="DESC" value="" constant="no"/>
+<attribute name="PARTNO" value="" constant="no"/>
+<attribute name="QTY" value="1" constant="no"/>
+</technology>
+</technologies>
+</device>
+</devices>
+</deviceset>
+</devicesets>
+</library>
 </libraries>
 <attributes>
@@ -23262,10 +23489,5 @@
 <parts>
 <part name="FRAME1" library="frames" library_urn="urn:adsk.eagle:library:229" deviceset="A3L-LOC" device=""/>
-<part name="J1" library="Wurth_Connectors_WR-TBL Pluggable Connector" library_urn="urn:adsk.eagle:library:16280984" deviceset="691382000008" device="" package3d_urn="urn:adsk.eagle:package:16281757/2"/>
-<part name="P+1" library="supply1" library_urn="urn:adsk.eagle:library:371" deviceset="+24V" device=""/>
-<part name="GND1" library="supply1" library_urn="urn:adsk.eagle:library:371" deviceset="GND" device=""/>
 <part name="C1" library="rcl" library_urn="urn:adsk.eagle:library:334" deviceset="C-EU" device="150-054X183" package3d_urn="urn:adsk.eagle:package:23669/1" value="1n/275V"/>
-<part name="PS1" library="PSK-30D-24" deviceset="PSK-30D-24" device=""/>
-<part name="RV2" library="Wurth_EMC Components_WE-VD" library_urn="urn:adsk.eagle:library:14283070" deviceset="WE-VD_20MM" device="_820422711" package3d_urn="urn:adsk.eagle:package:15537818/2" value="0ZRE0100FF Polyfuse 2A"/>
 <part name="L1" library="Wurth_EMC Components_WE-CMBNC" library_urn="urn:adsk.eagle:library:14282748" deviceset="WE-CMBNC_M" device="_7448030333" package3d_urn="urn:adsk.eagle:package:10688612/4" value="33mH"/>
 <part name="C2" library="rcl" library_urn="urn:adsk.eagle:library:334" deviceset="C-EU" device="C1210" package3d_urn="urn:adsk.eagle:package:23619/2" value="1µ/100V"/>
@@ -23284,10 +23506,29 @@
 <part name="C6" library="rcl" library_urn="urn:adsk.eagle:library:334" deviceset="CPOL-EU" device="G" package3d_urn="urn:adsk.eagle:package:23427/2" value="3,9µF/500V"/>
 <part name="C7" library="rcl" library_urn="urn:adsk.eagle:library:334" deviceset="CPOL-EU" device="G" package3d_urn="urn:adsk.eagle:package:23427/2" value="3,9µF/500V"/>
-<part name="RV1" library="Wurth_EMC Components_WE-VD" library_urn="urn:adsk.eagle:library:14283070" deviceset="WE-VD_20MM" device="_820522511" package3d_urn="urn:adsk.eagle:package:15537821/2" value="250Vrms"/>
+<part name="M1" library="PSK-30D-24" deviceset="IRM20" device="" override_package3d_urn="urn:adsk.eagle:package:35645999/4" override_package_urn="urn:adsk.eagle:footprint:35646000/1"/>
+<part name="RV3" library="Wurth_EMC Components_WE-VD" library_urn="urn:adsk.eagle:library:14283070" deviceset="WE-VD_10MM" device="_820512511" package3d_urn="urn:adsk.eagle:package:12144856/2" value="250Vrms"/>
+<part name="RV1" library="Wurth_EMC Components_WE-VD" library_urn="urn:adsk.eagle:library:14283070" deviceset="WE-VD_10MM" device="_820512511" package3d_urn="urn:adsk.eagle:package:12144856/2" value="0ZRE075FF Polyfuse 0,75-1,5 A"/>
+<part name="BOM-PART1" library="bom" deviceset="BOM-PART" device="" value="Stecker 2pol, gerade, 691 368 300 002 B">
+<attribute name="QTY" value="3"/>
+</part>
+<part name="BOM-PART2" library="bom" deviceset="BOM-PART" device="" value="Stecker 6pol. gerade, 691 368 300 004 B"/>
+<part name="J2" library="Wurth_Connectors_WR-TBL Pluggable Connector" library_urn="urn:adsk.eagle:library:16280984" deviceset="691322310004" device="" package3d_urn="urn:adsk.eagle:package:16281916/2"/>
+<part name="J3" library="Wurth_Connectors_WR-TBL Pluggable Connector" library_urn="urn:adsk.eagle:library:16280984" deviceset="691322310002" device="" package3d_urn="urn:adsk.eagle:package:16281914/2"/>
+<part name="J4" library="Wurth_Connectors_WR-TBL Pluggable Connector" library_urn="urn:adsk.eagle:library:16280984" deviceset="691322310002" device="" package3d_urn="urn:adsk.eagle:package:16281914/2"/>
+<part name="J1" library="Wurth_Connectors_WR-TBL Pluggable Connector" library_urn="urn:adsk.eagle:library:16280984" deviceset="691322310002" device="" package3d_urn="urn:adsk.eagle:package:16281914/2"/>
 </parts>
 <sheets>
 <sheet>
 <plain>
-<text x="243.84" y="157.48" size="1.778" layer="91">DC INPUT 100 bis 430V</text>
+<text x="243.84" y="157.48" size="1.778" layer="250">DC INPUT 100 bis 430V</text>
+<wire x1="53.34" y1="198.12" x2="53.34" y2="193.04" width="0.1524" layer="94" style="shortdash"/>
+<wire x1="53.34" y1="193.04" x2="60.96" y2="193.04" width="0.1524" layer="94" style="shortdash"/>
+<text x="43.18" y="175.26" size="1.778" layer="250">Achtung:
+Beide Bauteile thermisch koppeln</text>
+<text x="43.18" y="157.48" size="1.778" layer="250">Varistor:
+AC Operating Voltage = 250 V
+DC Operating Voltage = 320 V 
+Brakedown Voltage     = 390 V
+    </text>
 </plain>
 <instances>
@@ -23297,25 +23538,7 @@
 <attribute name="SHEET" x="357.505" y="7.62" size="2.54" layer="94"/>
 </instance>
-<instance part="J1" gate="G$1" x="22.86" y="233.68" smashed="yes" rot="MR270">
-<attribute name="NAME" x="24.065" y="243.75" size="1.016" layer="95" rot="MR270" align="bottom-right"/>
-<attribute name="VALUE" x="25.87" y="243.71" size="1.016" layer="96" rot="MR270" align="bottom-right"/>
-</instance>
-<instance part="P+1" gate="1" x="40.64" y="246.38" smashed="yes">
-<attribute name="VALUE" x="38.1" y="241.3" size="1.778" layer="96" rot="R90"/>
-</instance>
-<instance part="GND1" gate="1" x="38.1" y="215.9" smashed="yes">
-<attribute name="VALUE" x="35.56" y="213.36" size="1.778" layer="96"/>
-</instance>
 <instance part="C1" gate="G$1" x="76.2" y="195.58" smashed="yes">
 <attribute name="NAME" x="77.724" y="195.961" size="1.778" layer="95"/>
 <attribute name="VALUE" x="77.724" y="190.881" size="1.778" layer="96"/>
-</instance>
-<instance part="PS1" gate="G$1" x="259.08" y="193.04" smashed="yes">
-<attribute name="VALUE" x="248.92" y="185.42" size="2.032" layer="96"/>
-<attribute name="NAME" x="248.92" y="200.66" size="2.032" layer="95" align="top-left"/>
-</instance>
-<instance part="RV2" gate="G$1" x="53.34" y="203.2" smashed="yes" rot="R180">
-<attribute name="NAME" x="53.34" y="200.66" size="1.778" layer="95" rot="R180" align="bottom-center"/>
-<attribute name="VALUE" x="50.8" y="206.248" size="1.778" layer="96"/>
 </instance>
 <instance part="L1" gate="G$1" x="114.3" y="193.04" smashed="yes">
@@ -23359,17 +23582,17 @@
 <attribute name="VALUE" x="173.863" y="185.9026" size="1.778" layer="96"/>
 </instance>
-<instance part="GND2" gate="1" x="370.84" y="165.1" smashed="yes">
-<attribute name="VALUE" x="368.3" y="162.56" size="1.778" layer="96"/>
+<instance part="GND2" gate="1" x="355.6" y="165.1" smashed="yes">
+<attribute name="VALUE" x="353.06" y="162.56" size="1.778" layer="96"/>
 </instance>
-<instance part="P+2" gate="1" x="370.84" y="218.44" smashed="yes">
-<attribute name="VALUE" x="368.3" y="213.36" size="1.778" layer="96" rot="R90"/>
+<instance part="P+2" gate="1" x="355.6" y="218.44" smashed="yes">
+<attribute name="VALUE" x="353.06" y="213.36" size="1.778" layer="96" rot="R90"/>
 </instance>
-<instance part="R1" gate="G$1" x="363.22" y="198.12" smashed="yes" rot="R90">
-<attribute name="NAME" x="361.7214" y="194.31" size="1.778" layer="95" rot="R90"/>
-<attribute name="VALUE" x="366.522" y="194.31" size="1.778" layer="96" rot="R90"/>
+<instance part="R1" gate="G$1" x="347.98" y="198.12" smashed="yes" rot="R90">
+<attribute name="NAME" x="346.4814" y="194.31" size="1.778" layer="95" rot="R90"/>
+<attribute name="VALUE" x="351.282" y="194.31" size="1.778" layer="96" rot="R90"/>
 </instance>
-<instance part="LED1" gate="G$1" x="363.22" y="187.96" smashed="yes">
-<attribute name="NAME" x="366.776" y="183.388" size="1.778" layer="95" rot="R90"/>
-<attribute name="VALUE" x="368.935" y="183.388" size="1.778" layer="96" rot="R90"/>
+<instance part="LED1" gate="G$1" x="347.98" y="187.96" smashed="yes">
+<attribute name="NAME" x="351.536" y="183.388" size="1.778" layer="95" rot="R90"/>
+<attribute name="VALUE" x="353.695" y="183.388" size="1.778" layer="96" rot="R90"/>
 </instance>
 <instance part="C6" gate="G$1" x="190.5" y="193.04" smashed="yes">
@@ -23381,7 +23604,41 @@
 <attribute name="VALUE" x="211.963" y="185.9026" size="1.778" layer="96"/>
 </instance>
-<instance part="RV1" gate="G$1" x="66.04" y="193.04" smashed="yes" rot="R90">
+<instance part="M1" gate="G$1" x="259.08" y="193.04" smashed="yes">
+<attribute name="VALUE" x="248.92" y="185.42" size="2.032" layer="96"/>
+<attribute name="NAME" x="248.92" y="200.66" size="2.032" layer="95" align="top-left"/>
+</instance>
+<instance part="RV3" gate="G$1" x="66.04" y="193.04" smashed="yes" rot="R90">
 <attribute name="NAME" x="63.5" y="193.04" size="1.778" layer="95" rot="R90" align="bottom-center"/>
 <attribute name="VALUE" x="70.612" y="187.96" size="1.778" layer="96" rot="R90"/>
+</instance>
+<instance part="RV1" gate="G$1" x="53.34" y="203.2" smashed="yes" rot="R180">
+<attribute name="NAME" x="53.34" y="200.66" size="1.778" layer="95" rot="R180" align="bottom-center"/>
+<attribute name="VALUE" x="58.42" y="207.772" size="1.778" layer="96" rot="R180"/>
+</instance>
+<instance part="BOM-PART1" gate="G$1" x="30.48" y="139.7" smashed="yes">
+<attribute name="NAME" x="31.75" y="138.7475" size="1.778" layer="95"/>
+<attribute name="VALUE" x="31.75" y="135.255" size="1.778" layer="95"/>
+<attribute name="DESC" x="31.75" y="142.875" size="1.778" layer="95"/>
+</instance>
+<instance part="BOM-PART2" gate="G$1" x="30.48" y="129.54" smashed="yes">
+<attribute name="NAME" x="31.75" y="128.5875" size="1.778" layer="95"/>
+<attribute name="VALUE" x="31.75" y="125.095" size="1.778" layer="95"/>
+<attribute name="DESC" x="31.75" y="132.715" size="1.778" layer="95"/>
+</instance>
+<instance part="J2" gate="G$1" x="22.86" y="195.58" smashed="yes" rot="R90">
+<attribute name="NAME" x="24.065" y="188.05" size="1.016" layer="95" rot="R90" align="bottom-right"/>
+<attribute name="VALUE" x="25.87" y="188.09" size="1.016" layer="96" rot="R90" align="bottom-right"/>
+</instance>
+<instance part="J3" gate="G$1" x="375.92" y="193.04" smashed="yes" rot="R270">
+<attribute name="NAME" x="374.715" y="198.03" size="1.016" layer="95" rot="R270" align="bottom-right"/>
+<attribute name="VALUE" x="372.91" y="197.99" size="1.016" layer="96" rot="R270" align="bottom-right"/>
+</instance>
+<instance part="J4" gate="G$1" x="375.92" y="187.96" smashed="yes" rot="R270">
+<attribute name="NAME" x="374.715" y="192.95" size="1.016" layer="95" rot="R270" align="bottom-right"/>
+<attribute name="VALUE" x="372.91" y="192.91" size="1.016" layer="96" rot="R270" align="bottom-right"/>
+</instance>
+<instance part="J1" gate="G$1" x="375.92" y="198.12" smashed="yes" rot="R270">
+<attribute name="NAME" x="374.715" y="203.11" size="1.016" layer="95" rot="R270" align="bottom-right"/>
+<attribute name="VALUE" x="372.91" y="203.07" size="1.016" layer="96" rot="R270" align="bottom-right"/>
 </instance>
 </instances>
@@ -23391,19 +23648,4 @@
 <net name="+24V" class="0">
 <segment>
-<pinref part="J1" gate="G$1" pin="1"/>
-<pinref part="P+1" gate="1" pin="+24V"/>
-<wire x1="27.94" y1="241.3" x2="40.64" y2="241.3" width="0.1524" layer="91"/>
-<wire x1="40.64" y1="241.3" x2="40.64" y2="243.84" width="0.1524" layer="91"/>
-<pinref part="J1" gate="G$1" pin="3"/>
-<wire x1="27.94" y1="236.22" x2="40.64" y2="236.22" width="0.1524" layer="91"/>
-<wire x1="40.64" y1="236.22" x2="40.64" y2="241.3" width="0.1524" layer="91"/>
-<junction x="40.64" y="241.3"/>
-<pinref part="J1" gate="G$1" pin="5"/>
-<wire x1="27.94" y1="231.14" x2="40.64" y2="231.14" width="0.1524" layer="91"/>
-<wire x1="40.64" y1="231.14" x2="40.64" y2="236.22" width="0.1524" layer="91"/>
-<junction x="40.64" y="236.22"/>
-</segment>
-<segment>
-<pinref part="PS1" gate="G$1" pin="+VO"/>
 <wire x1="274.32" y1="195.58" x2="274.32" y2="205.74" width="0.1524" layer="91"/>
 <pinref part="C2" gate="G$1" pin="1"/>
